import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceJahadGetCooperativesPosInfoService = createAsyncThunk(
  "PROVINCE_JAHAD_GET_COOPERATIVES_POS_INFO",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `/cooperative-pos/?cooperative_key=${d}`
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
